> For the complete documentation index, see [llms.txt](https://docs.currents.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.currents.dev/getting-started/other-frameworks/cypress/troubleshooting-cypress.md).

# Troubleshooting Cypress

Troubleshooting Currents integration with Cypress

{% hint style="warning" %}
**We are suspending our support of Cypress test runner version 13+**

We will continue to support [prior versions](/getting-started/other-frameworks/cypress/integrating-with-cypress/alternative-cypress-binaries.md) of Cypress.

[Read more](https://currents.dev/posts/v13-blocking)
{% endhint %}

If you are experiencing issues with using `@currents/cli` or `cypress-cloud`, please submit a [support request](/resources/support.md) either via in-app support chat or on GitHub:

* [@currents/cli GitHub Issues](https://github.com/currents-dev/cli/issues)
* [cypress-cloud GitHub Issues](https://github.com/currents-dev/cypress-cloud/issues)

Please collect the following information to help us effectively debug the problem:

* The associated dashboard run URL.
* Screenshots, if applicable.
* The exact command used to run `currents` or `cypress-cloud`.
* Configuration files (`cypress.config.{jt}s` and `currents.config.js`).
* CI environment information (use the command below):

```bash
npx envinfo --system --binaries --browsers --npmPackages --duplicates --npmGlobalPackages
```

* Activate debug mode and collect the logs.

{% hint style="info" %}
Please capture and share the **whole** debug log - that will help the support person identify the root cause faster
{% endhint %}

### Enabling `DEBUG` mode for `cypress-cloud@1.9.0+`

Starting from version 1.9.0 `cypress-cloud` provides a CLI flag for activating the debug mode.

```
npx cypress-cloud run ... --cloud-debug
```

You can specify the scope of debug messages printed:

* `true | all` shows all debug messages.
* `cypress` activates debug mode for cypress only.
* `currents` activates the debug mode for currents only.
* `commit-info` activates the debug mode for git commit info only.

### Enabling DEBUG mode for `@currents/cli` and `cypress-cloud < 1.9.0`

{% tabs %}
{% tab title="cypress-cloud" %}

```
# on Linux
DEBUG=currents:*,cypress:* npx cypress-cloud run ...

# on Windows
cmd /V /C "set DEBUG=currents:*,cypress:*&& npx cypress-cloud run ..."
```

{% endtab %}

{% tab title="@currents/cli" %}

```
# on Linux
DEBUG=cy2*,cypress:* npx currents run ...

# on Windows
cmd /V /C "set DEBUG=cy2*,cypress:*&& npx currents run ..."
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.currents.dev/getting-started/other-frameworks/cypress/troubleshooting-cypress.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
